import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HierarchicalTreeService, MindMapService, RadialTreeService, ComplexHierarchicalTreeService, DataBindingService, SnappingService, PrintAndExportService, BpmnDiagramsService, SymmetricLayoutService, ConnectorBridgingService, UndoRedoService, LayoutAnimationService, DiagramContextMenuService, ConnectorEditingService } from './diagram.component';
import { DiagramModule } from './diagram.module';
/**
 * NgModule definition for the Diagram component with providers.
 */
var DiagramAllModule = /** @class */ (function () {
    function DiagramAllModule() {
    }
    DiagramAllModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, DiagramModule],
                    exports: [
                        DiagramModule
                    ],
                    providers: [
                        HierarchicalTreeService,
                        MindMapService,
                        RadialTreeService,
                        ComplexHierarchicalTreeService,
                        DataBindingService,
                        SnappingService,
                        PrintAndExportService,
                        BpmnDiagramsService,
                        SymmetricLayoutService,
                        ConnectorBridgingService,
                        UndoRedoService,
                        LayoutAnimationService,
                        DiagramContextMenuService,
                        ConnectorEditingService
                    ]
                },] },
    ];
    /** @nocollapse */
    DiagramAllModule.ctorParameters = function () { return []; };
    return DiagramAllModule;
}());
export { DiagramAllModule };
//# sourceMappingURL=diagram-all.module.js.map