var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['addInfo', 'constraints', 'height', 'horizontalAlignment', 'id', 'margin', 'offset', 'pathData', 'shape', 'style', 'verticalAlignment', 'visibility', 'width'];
/**
 * Nodes Directive
 * ```html
 * <e-nodes>
 * <e-node>
 * <e-node-ports>
 * <e-node-port>
 * </e-node-port>
 * </e-node-ports>
 * </e-node>
 * </e-nodes>
 * ```
 */
var PortDirective = /** @class */ (function (_super) {
    __extends(PortDirective, _super);
    function PortDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    PortDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-node>e-node-ports>e-node-port',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    PortDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return PortDirective;
}(ComplexBase));
export { PortDirective };
/**
 * Port Array Directive
 * @private
 */
var PortsDirective = /** @class */ (function (_super) {
    __extends(PortsDirective, _super);
    function PortsDirective() {
        return _super.call(this, 'ports') || this;
    }
    PortsDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-node>e-node-ports',
                    queries: {
                        children: new ContentChildren(PortDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    PortsDirective.ctorParameters = function () { return []; };
    return PortsDirective;
}(ArrayBase));
export { PortsDirective };
//# sourceMappingURL=ports.directive.js.map