import { ElementRef, ViewContainerRef, Renderer2 } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { SymbolPalette } from '@syncfusion/ej2-diagrams';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * SymbolPalette Component
 * ```html
 * <ej-symbol-palette></ej-symbol-palette>
 * ```
 */
export declare class SymbolPaletteComponent extends SymbolPalette implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    childPalettes: any;
    tags: string[];
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
