var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['addInfo', 'alignment', 'constraints', 'content', 'displacement', 'height', 'horizontalAlignment', 'hyperlink', 'id', 'margin', 'offset', 'style', 'type', 'verticalAlignment', 'visibility', 'width'];
/**
 * Connectors Directive
 * ```html
 * <e-connectors>
 * <e-connector>
 * <e-connector-annotations>
 * <e-connector-annotation>
 * </e-connector-annotation>
 * </e-connector-annotations>
 * </e-connector>
 * </e-connectors>
 * ```
 */
var ConnectorAnnotationDirective = /** @class */ (function (_super) {
    __extends(ConnectorAnnotationDirective, _super);
    function ConnectorAnnotationDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    ConnectorAnnotationDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-connector>e-connector-annotations>e-connector-annotation',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    ConnectorAnnotationDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return ConnectorAnnotationDirective;
}(ComplexBase));
export { ConnectorAnnotationDirective };
/**
 * ConnectorAnnotation Array Directive
 * @private
 */
var ConnectorAnnotationsDirective = /** @class */ (function (_super) {
    __extends(ConnectorAnnotationsDirective, _super);
    function ConnectorAnnotationsDirective() {
        return _super.call(this, 'annotations') || this;
    }
    ConnectorAnnotationsDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-connector>e-connector-annotations',
                    queries: {
                        children: new ContentChildren(ConnectorAnnotationDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    ConnectorAnnotationsDirective.ctorParameters = function () { return []; };
    return ConnectorAnnotationsDirective;
}(ArrayBase));
export { ConnectorAnnotationsDirective };
//# sourceMappingURL=connector-annotation.directive.js.map