var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['addInfo', 'id', 'lock', 'objects', 'visible', 'zIndex'];
/**
 * Layers Directive
 * ```html
 * <e-layers>
 * <e-layer></e-layer>
 * </e-layers>
 * ```
 */
var LayerDirective = /** @class */ (function (_super) {
    __extends(LayerDirective, _super);
    function LayerDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    LayerDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layers>e-layer',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    LayerDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return LayerDirective;
}(ComplexBase));
export { LayerDirective };
/**
 * Layer Array Directive
 * @private
 */
var LayersDirective = /** @class */ (function (_super) {
    __extends(LayersDirective, _super);
    function LayersDirective() {
        return _super.call(this, 'layers') || this;
    }
    LayersDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'ej-diagram>e-layers',
                    queries: {
                        children: new ContentChildren(LayerDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    LayersDirective.ctorParameters = function () { return []; };
    return LayersDirective;
}(ArrayBase));
export { LayersDirective };
//# sourceMappingURL=layers.directive.js.map