var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['addInfo', 'constraints', 'content', 'height', 'horizontalAlignment', 'hyperlink', 'id', 'margin', 'offset', 'style', 'type', 'verticalAlignment', 'visibility', 'width'];
/**
 * Nodes Directive
 * ```html
 * <e-nodes>
 * <e-node>
 * <e-node-annotations>
 * <e-node-annotation>
 * </e-node-annotation>
 * </e-node-annotations>
 * </e-node>
 * </e-nodes>
 * ```
 */
var NodeAnnotationDirective = /** @class */ (function (_super) {
    __extends(NodeAnnotationDirective, _super);
    function NodeAnnotationDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    NodeAnnotationDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-node>e-node-annotations>e-node-annotation',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    NodeAnnotationDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return NodeAnnotationDirective;
}(ComplexBase));
export { NodeAnnotationDirective };
/**
 * NodeAnnotation Array Directive
 * @private
 */
var NodeAnnotationsDirective = /** @class */ (function (_super) {
    __extends(NodeAnnotationsDirective, _super);
    function NodeAnnotationsDirective() {
        return _super.call(this, 'annotations') || this;
    }
    NodeAnnotationsDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-node>e-node-annotations',
                    queries: {
                        children: new ContentChildren(NodeAnnotationDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    NodeAnnotationsDirective.ctorParameters = function () { return []; };
    return NodeAnnotationsDirective;
}(ArrayBase));
export { NodeAnnotationsDirective };
//# sourceMappingURL=node-annotation.directive.js.map