var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['expanded', 'height', 'iconCss', 'id', 'symbols', 'title'];
/**
 * Palette Directive
 * ```html
 * <e-palettes><e-palette></e-palette><e-palettes>
 * ```
 */
var PaletteDirective = /** @class */ (function (_super) {
    __extends(PaletteDirective, _super);
    function PaletteDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    PaletteDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-palettes>e-palette',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    PaletteDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return PaletteDirective;
}(ComplexBase));
export { PaletteDirective };
/**
 * Palette Array Directive
 * @private
 */
var PalettesDirective = /** @class */ (function (_super) {
    __extends(PalettesDirective, _super);
    function PalettesDirective() {
        return _super.call(this, 'palettes') || this;
    }
    PalettesDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'ejs-symbolpalette>e-palettes',
                    queries: {
                        children: new ContentChildren(PaletteDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    PalettesDirective.ctorParameters = function () { return []; };
    return PalettesDirective;
}(ArrayBase));
export { PalettesDirective };
//# sourceMappingURL=palettes.directive.js.map